> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revocalize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Model

> This endpoint creates a new AI voice model. The model is created in a pending state. You must [train the model](/api-reference/training/train) before it can be used for synthesis.

### Request

**training\_audio\_files** `.zip file` *required*

A zip file containing the training audio files. The zip file must contain the following files:

<ol>
  <li>`model.json` - a JSON file containing the model metadata.</li>
  <li>`audio` - a folder containing the audio files.</li>
</ol>

### Response

**model\_id** `string`

The ID of the pending model. After training the model, this ID can be used to reference the model in other API calls.

```bash Example Request theme={null}
curl --location --request POST 'https://api.revocalize.ai/models/create' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: Bearer <token>' \
--form 'training_audio_files=@"/path/to/training_audio_files.zip"'
```

```json Response theme={null}
{
  "model_id": "5f7b1b1b-1b1b-1b1b-1b1b-1b1b1b1b1b1b"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.